Skip to main content
GET
List notes

Authorizations

Authorization
string
header
required

An API key from the web app (Settings → Developer), sent as Authorization: Bearer rvl_live_….

Query Parameters

folderId
string

Only notes in this folder (notefld_…).

projectId
string

Only notes linked to this project (proj_…), directly or through their folder.

q
string

Only notes whose title contains this.

Required string length: 1 - 200
limit
integer
default:50

Items per page.

Required range: 1 <= x <= 100
cursor
string

nextCursor from the previous page.

Response

OK

data
object[]
required
nextCursor
string | null
required